import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import javax.swing.JComponent;

/**
   This component displays a rectangle that can be moved. 
*/
public class AnimationPanel extends JComponent
{  

   private RectangleComponent rect1;
   private RectangleComponent rect2;
   
   public AnimationPanel()
   {  
      // The rectangle that the paintComponent method draws 
      rect1 = new RectangleComponent();
      rect2 = new RectangleComponent();
   }

   public void paintComponent(Graphics g)
   {  
      Graphics2D g2 = (Graphics2D) g;

      rect1.draw(g2);
      rect2.draw(g2);
   }

   public void moveAll(int dx, int dy)
   {
       rect1.moveBy(dx,dy);
       rect2.moveBy(dx+5,dy+5);
       repaint();
    }
}
